(function () {
    "use strict";

    const loadTrusteShops = function () {
        const _ts = document.createElement('script');
        _ts.type = 'text/javascript';
        _ts.charset = 'utf-8';
        _ts.async = true;
        _ts.src = '//widgets.trustedshops.com/js/' + window.TRUSTED_SHOPS_ID + '.js';

        const __ts = document.getElementsByTagName('script')[0];
        __ts.parentNode.insertBefore(_ts, __ts);
    };

    if (typeof window.GDPR !== 'undefined') {
        console.log('Trusted Shop: GDPR installed');

        let type = 'marketing';

        switch (QUIQQER_SITE.type) {
            case 'quiqqer/order:types/orderingProcess':
                type = 'essential';
                break;
        }

        window.GDPR.waitForCookieCategoryAcceptance(type).then(function () {
            console.log('Trusted Shop loaded');

            if (QUIQQER_SITE.type !== 'quiqqer/order:types/orderingProcess') {
                document.getElementById('quiqqer-trusted-shop').style.display = 'flex';
            }

            loadTrusteShops();
        });
    } else {
        console.log('Trusted Shop: No GDPR installed');
        loadTrusteShops();
    }
})();
