<?php

/**
 * @author PCSG (Jan Wennrich)
 */

namespace QUI\TrustedShops\Cookies;

use QUI;

/**
 * Class QuiqqerSessionCookie
 *
 * @package QUI\GDPR\Cookies
 */
class Essential extends QUI\GDPR\Cookies\QuiqqerSessionCookie
{
    /**
     * @inheritDoc
     */
    public function getName(): string
    {
        return '_ga*, mat_*, mf_*, _fdp, _gid';
    }

    /**
     * @inheritDoc
     */
    public function getPurpose(): string
    {
        return QUI::getLocale()->get('quiqqer/trustedshops', 'cookie.essential');
    }

    /**
     * @inheritDoc
     */
    public function getCategory(): string
    {
        return static::COOKIE_CATEGORY_ESSENTIAL;
    }
}
